package com.parseSystem.event.impl;

import com.parseSystem.event.EventHandlerService;
import com.parseSystem.event.VehicleEventService;
import com.parseSystem.vehicle.VehicleData;
import org.springframework.stereotype.Service;

/**
 *
 * 故障事件
 * @author 冯凯
 * @version 1.0
 *
 * @date 2023/11/27 20:59
 */
@Service("faultEvent")
public class FaultEvent  extends EventHandlerService implements VehicleEventService {

    /**
     * 故障事件执行逻辑
     * @param vehicleData
     */
    @Override
    public void executeEvent(VehicleData vehicleData) {
        System.out.println("你好故障");
    }
}
